using Insight.Remote.Shared.Services;
using Insight.Remote.Shared.ViewModels;

namespace Insight.Remote.Shared.Abstractions;

public interface IFileProvider
{
    string GetBaseDirectory();

    Task ReceiveFile(byte[] buffer, string fileName, string messageId, bool endOfFile, bool startOfFile);
    //void OpenFileTransferWindow(Viewer viewer);
    Task UploadFile(FileUpload file, Streamer viewer, Action<double> progressUpdateCallback, CancellationToken cancelToken);
}